## python-defaults 2.7.5-5tanglu1

=== debian/changelog ===
python-defaults (2.7.5-5tanglu1) staging; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Set minimal required python version to 2.7.1
    - debian/rules: Auto-set Tanglu maintainer address

 -- Matthias Klumpp <mak@debian.org>  Tue, 29 Oct 2013 08:46:14 +0100

python-defaults (2.7.5-5) unstable; urgency=low

  [ Steve Langasek ]
  * Adjust debpython/depends.py to be multiarch-friendly.

  [ Piotr Ożarowski ]
  * Set "Multi-Arch: allowed" in python, python-dev, python-minimal,
    python-dbg, python-all, python-all-dev, python-all-dbg
  * Replace /usr/bin/dh_python2 with a Python script that invokes
    dh-python's dh_python2 if Build-Depends{,-Indep} contains dh-python

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Sep 2013 21:25:01 +0200

python-defaults (2.7.5-4ubuntu2) saucy; urgency=low

  * Adjust debpython/depends.py to be multiarch-friendly.  Closes: #722046.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2013 13:10:46 -0700

python-defaults (2.7.5-4ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Set Multi-Arch: allowed attributes.
    - Set minimal required python version to 2.7.1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 19 Aug 2013 11:46:54 +0400

python-defaults (2.7.5-4) unstable; urgency=low

  * Add libpython-all-dbg.postinst to convert the doc directory to a symlink
    on upgrade (Closes: #718736)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Aug 2013 00:23:58 -0400

python-defaults (2.7.5-3) unstable; urgency=low

  [ Matthias Klose ]
  * Fix libpython-all-dbg doc dir symlink. Closes: #712270.

  [ Piotr Ożarowski ]
  * Replace /usr/bin/dh_python2 with a shell script that invokes
    dh-python's dh_python2 if debian/control mentions dh-python
  * dh_python2: warnings about --install-layout=deb and translating
    dependencies are just an info now

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 02 Aug 2013 08:54:32 +0200

python-defaults (2.7.5-2) unstable; urgency=low

  * Add dependencies on the new libpython-{stdlib,all-dev,all-dbg} packages.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jun 2013 15:07:18 +0200

python-defaults (2.7.5-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Set Multi-Arch: allowed attributes.
    - Set minimal required python version to 2.7.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jun 2013 17:35:30 +0200

python-defaults (2.7.5-1) unstable; urgency=low

  [ Matthias Klose ]
  * Bump version to 2.7.5.
  * Drop python2.6 as a supported python version.
  * Bump standards version to 3.9.4.
  * Start building the libpython-stdlib, libpython-all-dev, libpython-all-dbg
    packages.
  * Drop Python 2.6 as a supported Python version.
  * Fix some lintian warnings.

  [ Scott Kitterman ]
  * When X(S)-Python-Version or debian/pyversions is not present, do not
    describe them as missing, just indicate they are not there

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jun 2013 14:57:03 +0200

python-defaults (2.7.4-0tanglu1) aequorea; urgency=low

  * Upload for Tanglu, applied all Ubuntu changes
    - We also support only Python 2.7 at time
    - Bump version number
    - Adjust standards version

 -- Matthias Klumpp <mak@debian.org>  Fri, 19 Apr 2013 21:23:04 +0200

python-defaults (2.7.3-5) unstable; urgency=low

  * Drop Python 2.6 as a supported Python version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 02:48:48 +0200

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3),
  libhtml-tree-perl, debiandoc-sgml, lsb-release
Standards-Version: 3.9.4
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: any
Multi-Arch: allowed
Priority: standard
Depends: ${misc:Depends}, python2.7 (>= 2.7.5-1~), python-minimal (= ${binary:Version}), libpython-stdlib (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.5-1~)
Conflicts: python-central (<< 0.5.5)
Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: any
Multi-Arch: allowed
Priority: standard
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.5-1~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.7.3-1~)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.5-1~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.5-1~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: libpython-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2.7-dev (>= 2.7.5-1~), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: libpython-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython2.7-stdlib (>= 2.7.5-1~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python-tk, idle-python2.7
Enhances: python
Replaces: python (<< 2.7.3-1~)
Breaks: python (<< 2.7.3-1~)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.5-1~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.5-1~)
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: libpython-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython2.7-dbg (>= 2.7.5-1~), ${misc:Depends}
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python development
 packages.

Package: python-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python debug packages.

Package: libpython-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython-dev (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dev
Description: package depending on all supported Python development packages
 The package currently depends on libpython2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python development
 packages.

Package: libpython-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython-dbg (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dbg
Description: package depending on all supported Python debugging packages
 The package currently depends on libpython2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
# first version with Multi-Arch: allowed
PREVVER := 2.7.5-1~

# not yet allowed
ma_allowed	= yes

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	make -C pydist README.PyDist.html
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in \
	    $(if $(ma_allowed),,| grep -v '^Multi-Arch: allowed$$') \
		>debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
ifeq ($(distribution),Tanglu)
  ifneq (,$(findstring tanglu, $(PKGVERSION)))
	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs usr/share/doc/python/faq
	dh_install

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	-make check_versions
	DESTDIR=debian/python PREFIX=/usr make install-dev
	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installmenu -i $(NOPKGS)
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle; do \
	  [ $$p = idle ] || p=python-$$p; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install stamp-doc
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python$(VER) debian/python-minimal/usr/bin/python
	ln -sf python$(VER) debian/python-minimal/usr/bin/python2
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python2.1.gz

	: #
	mkdir -p debian/python-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython-minimal /usr/share/python/pyversions.py /usr/bin/pyversions

#	install -m 755 debian/pycompile \
#		debian/python-minimal/usr/bin/
#	install -m 755 debian/pyclean \
#		debian/python-minimal/usr/bin/

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python/usr/bin
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
	ln -sf pdb$(VER) debian/python/usr/bin/pdb
	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3

	mkdir -p debian/python/usr/share/python
	install -m 644 debian/python.mk \
		debian/python/usr/share/python/

	mkdir -p debian/python/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python/usr/share/man/man1/pydoc.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python/usr/share/man/man1/pygettext.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python/usr/share/man/man1/pdb.1.gz
	ln -sf 2to3-$(VER).1.gz \
		debian/python/usr/share/man/man1/2to3.1.gz

	mkdir -p debian/python/usr/share/doc/python
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python/

## python-defaults 2.7.5-5ubuntu1

=== debian/changelog ===
python-defaults (2.7.5-5ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining change:
    - Set minimal required python version to 2.7.1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2013 14:10:23 +0400

## python-defaults 2.7.5-5ubuntu3

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/share/python/
	$(INSTALL) -m 755 dh_python2.py $(DESTDIR)$(PREFIX)/bin/dh_python2
	$(INSTALL) -m 644 python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

%.html: %.rst
	rst2html $< > $@

manpages: $(MANPAGES)

dist_fallback:
	make -C pydist $@

check_versions:
	@set -e;\
	DEFAULT=`sed -rn 's,^DEFAULT = \(([0-9]+)\, ([0-9]+)\),\1.\2,p' debpython/version.py`;\
	SUPPORTED=`sed -rn 's,^SUPPORTED = \[\(([0-9]+)\, ([0-9]+)\)\, \(([0-9]+)\, ([0-9]+)\)\],\1.\2 \3.\4,p' debpython/version.py`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0-9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo "Please update DEFAULT in debpython/version.py ($$DEFAULT vs. $$DEB_DEFAULT)" >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo "Please update SUPPORTED in debpython/version.py ($$SUPPORTED vs. $$DEB_SUPPORTED)" >/dev/stderr; false)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

.PHONY: clean tests test% check_versions

=== pydist/Makefile ===
#!/usr/bin/make -f

clean:
	rm -rf cache
	#rm -f dist_fallback
	rm -f README.PyDist.html

dist_fallback: sources.list
	python ./generate_fallback_list.py --skip-sensible-names

README.PyDist.html: README.PyDist
	rst2html $< $@

.PHONY: clean

=== tests/Makefile ===
#!/usr/bin/make -f

# enable or disable tests here:
TESTS := test1 test2 test3 test4 test5 test6 test7

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== debian/changelog ===
python-defaults (2.7.5-5ubuntu3) trusty; urgency=medium

  * Don't create extension symlinks in /usr/lib/pyshared/pythonX.Y anymore.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2013 15:04:57 +0100

python-defaults (2.7.5-5ubuntu2) trusty; urgency=medium

  * dh_python2: Don't move files to /usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 23:37:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3),
   libhtml-tree-perl, debiandoc-sgml, lsb-release

=== debian/rules ===
--- 
+++ 
@@ -74,13 +74,6 @@
 	  debian/control.tmp
   endif
 endif
-ifeq ($(distribution),Tanglu)
-  ifneq (,$(findstring tanglu, $(PKGVERSION)))
-	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
-	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
-	  debian/control.tmp
-  endif
-endif
 	[ -e debian/control ] \
 	  && cmp -s debian/control debian/control.tmp \
 	  && rm -f debian/control.tmp && exit 0; \
@@ -234,7 +227,7 @@
 	ln -sf python$(VER).1.gz \
 		debian/python-minimal/usr/share/man/man1/python2.1.gz
 
-	: #
+	: # 
 	mkdir -p debian/python-minimal/usr/share/python
 	cp -p debian/debian_defaults \
 		debian/python-minimal/usr/share/python/
@@ -277,3 +270,9 @@
 	cp -a debian/python-policy.{html,sgml,txt} \
 		debian/python/usr/share/doc/python/
 
+	mkdir -p debian/python/usr/share/pixmaps
+	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm
+
+	: # add symlinks to policy files
+	mkdir -p debian/python/usr/share/doc/python$(VER)
+	for ext in html sgml.gz txt.gz; do \

## python-defaults 2.7.6-2tanglu1

=== debian/changelog ===
python-defaults (2.7.6-2tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Set minimal required python version to 2.7.6
    - debian/rules: Auto-set Tanglu maintainer address

 -- Jon Severinsson <jon@severinsson.net>  Tue, 20 May 2014 20:00:00 +0200

python-defaults (2.7.6-2) unstable; urgency=medium

  [ Barry Warsaw ]
  * Add python policy for Python Wheels

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 May 2014 00:04:16 -0400

python-defaults (2.7.6-1) unstable; urgency=medium

  * Bump version to 2.7.6.
  * dh_python2: no longer move files to /usr/share/pyshared, don't create
    /usr/lib/pyshared symlinks for extensions.
  * Use UTF-8 encoding for the python policy in HTML format. Closes: #689931.
  * Add a chapter for the python policy to prefer Python 3 over Python 2.

 -- Matthias Klose <doko@debian.org>  Mon, 12 May 2014 12:16:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3),
   libhtml-tree-perl, debiandoc-sgml, lsb-release
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
@@ -15,8 +15,8 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7 (>= 2.7.5-1~), python-minimal (= ${binary:Version}), libpython-stdlib (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.5-1~)
+Depends: ${misc:Depends}, python2.7 (>= 2.7.6-1~), python-minimal (= ${binary:Version}), libpython-stdlib (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.6-1~)
 Conflicts: python-central (<< 0.5.5)
 Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
 Replaces: python-dev (<< 2.6.5-2)
@@ -33,7 +33,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.5-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.6-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -46,7 +46,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.5-1~)
+Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.6-1~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -57,7 +57,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.5-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.6-1~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -70,7 +70,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython2.7-dev (>= 2.7.5-1~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.6-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -82,7 +82,7 @@
 Package: libpython-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython2.7-stdlib (>= 2.7.5-1~), ${misc:Depends}
+Depends: libpython2.7-stdlib (>= 2.7.6-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -107,7 +107,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.5-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.6-1~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -134,7 +134,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.5-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.6-1~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -144,7 +144,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.5-1~), ${misc:Depends}
+Depends: libpython2.7-dbg (>= 2.7.6-1~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.5-1~
+PREVVER := 2.7.6-1~
 
 # not yet allowed
 ma_allowed	= yes
@@ -50,7 +50,7 @@
 stamp-doc-policy:
 	debiandoc2text debian/python-policy.sgml
 	mv -f python-policy.txt debian/
-	debiandoc2html debian/python-policy.sgml
+	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
 	rm -rf debian/python-policy.html
 	mv -f python-policy.html debian/
 	make -C pydist README.PyDist.html
@@ -70,6 +70,13 @@
 ifeq ($(distribution),Ubuntu)
   ifneq (,$(findstring ubuntu, $(PKGVERSION)))
 	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
+	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
+	  debian/control.tmp
+  endif
+endif
+ifeq ($(distribution),Tanglu)
+  ifneq (,$(findstring tanglu, $(PKGVERSION)))
+	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
 	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
 	  debian/control.tmp
   endif
@@ -270,9 +277,3 @@
 	cp -a debian/python-policy.{html,sgml,txt} \
 		debian/python/usr/share/doc/python/
 
-	mkdir -p debian/python/usr/share/pixmaps
-	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm
-
-	: # add symlinks to policy files
-	mkdir -p debian/python/usr/share/doc/python$(VER)
-	for ext in html sgml.gz txt.gz; do \

## python-defaults 2.7.8-1

=== debian/changelog ===
python-defaults (2.7.8-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * Fix typo in policy doc re: wheel package exception list.
  * Add myself to Uploaders.

  [ Scott Kitterman ]
  * Fix error in pydist package relationship regex (Closes: #735163)
    - Thanks to Rafael Laboissiere for the patch
  * Switch from using lsb-release to dpkg-vendor to determine distro and drop
    lsb-release from build-depends (Closes: #751706)
    - Thanks to Peter Pentchev for the patch
  * Drop unused build-depends on libhtml-tree-perl
  * Clarify discussion of requirement to use python:Provides (Closes: #669346)
  * Add clarification of naming requirements for submocules (Closes: #701192)
  * Minor cleanups in debian/pyversions.py
  * Stop automatically regenerating static content (dh_python2 man pages and
    Python FAQ) and drop build-dep on python-docutils to ease bootstrapping
    (Closes: #754060)
    - Add direct build-dep on python-all to replace indirect build-dep
  * Bump version to 2.7.8
  * Drop ancient Breaks on python-csv, python-bz2, and python-email

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jul 2014 17:10:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 8~), python-docutils (>= 0.4-3),
-  libhtml-tree-perl, debiandoc-sgml, lsb-release
+Maintainer: Matthias Klose <doko@debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
+Build-Depends: debhelper (>= 8~), python-all, debiandoc-sgml
 Standards-Version: 3.9.5
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
@@ -15,10 +13,10 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7 (>= 2.7.6-1~), python-minimal (= ${binary:Version}), libpython-stdlib (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.6-1~)
+Depends: ${misc:Depends}, python2.7 (>= 2.7.8-1~), python-minimal (= ${binary:Version}), libpython-stdlib (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.8-1~)
 Conflicts: python-central (<< 0.5.5)
-Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
+Breaks: update-manager-core (<< 0.200.5-2)
 Replaces: python-dev (<< 2.6.5-2)
 Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
 Description: interactive high-level object-oriented language (default version)
@@ -33,7 +31,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.6-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.8-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -46,7 +44,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.6-1~)
+Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.8-1~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -57,7 +55,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.6-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.8-1~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -70,7 +68,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython2.7-dev (>= 2.7.6-1~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.8-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -82,7 +80,7 @@
 Package: libpython-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython2.7-stdlib (>= 2.7.6-1~), ${misc:Depends}
+Depends: libpython2.7-stdlib (>= 2.7.8-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -107,7 +105,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.6-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.8-1~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -134,7 +132,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.6-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.8-1~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -144,7 +142,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.6-1~), ${misc:Depends}
+Depends: libpython2.7-dbg (>= 2.7.8-1~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 PKGSOURCE  := $(word 1, $(changelog_values))
 PKGVERSION := $(word 2, $(changelog_values))
 
-distribution := $(shell lsb_release -is)
+distribution := $(shell dpkg-vendor --query Vendor)
 
 export VER=2.7
 export NVER=2.8
@@ -22,7 +22,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.6-1~
+PREVVER := 2.7.8-1~
 
 # not yet allowed
 ma_allowed	= yes
@@ -53,7 +53,7 @@
 	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
 	rm -rf debian/python-policy.html
 	mv -f python-policy.html debian/
-	make -C pydist README.PyDist.html
+	make -C pydist
 	touch stamp-doc-policy
 
 stamp-doc: stamp-doc-policy
@@ -74,13 +74,6 @@
 	  debian/control.tmp
   endif
 endif
-ifeq ($(distribution),Tanglu)
-  ifneq (,$(findstring tanglu, $(PKGVERSION)))
-	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
-	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
-	  debian/control.tmp
-  endif
-endif
 	[ -e debian/control ] \
 	  && cmp -s debian/control debian/control.tmp \
 	  && rm -f debian/control.tmp && exit 0; \
@@ -88,6 +81,7 @@
 
 faqs = index general programming library extending windows gui installed
 get-faq:
+	# Note: This rule is broken due to web site reorg at python.org
 	rm -rf faq
 	mkdir faq
 	cd faq && \
@@ -102,6 +96,27 @@
 	) >> faq/FAQ.ht
 	rm -f faq/index.ht
 
+make-faq:
+	set -e; \
+	cd faq && \
+	for p in *.ht; do \
+	  p=`basename $$p .ht`; \
+	  echo $(rst2html) $$p.ht $$p.html; \
+	  awk 'NR > 2' $$p.ht > $$p.ht2; \
+	  $(rst2html) $$p.ht2 $$p.html; \
+	  rm -f $$p.ht2; \
+	done
+
+MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1
+
+%.1: %.rst
+	rst2man $< > $@
+
+# Manually run this rule if there is a need to update the dh_python2 man pages
+make-man: $(MANPAGES)
+	cd pydist && \
+	rst2html README.PyDist > README.PyDist.html
+
 clean: control-file
 	dh_testdir
 	dh_testroot
@@ -110,7 +125,6 @@
 
 	rm -f debian/python-policy.txt
 	rm -rf debian/python-policy.html
-	rm -f faq/*.h2 faq/*.html
 
 	set -e;\
 	for f in debian/*.in; do \
@@ -148,11 +162,7 @@
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
-	  echo $(rst2html) $$p.ht $$p.html; \
-	  awk 'NR > 2' $$p.ht > $$p.ht2; \
-	  $(rst2html) $$p.ht2 $$p.html; \
 	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
-	  rm -f $$p.ht2; \
 	done
 	mv debian/python/usr/share/doc/python/faq/FAQ.html \
 		debian/python/usr/share/doc/python/
@@ -165,7 +175,7 @@
 	dh_installdirs
 	-make check_versions
 	DESTDIR=debian/python PREFIX=/usr make install-dev
-	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
+	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime
 	# disabled by default, run manually if you want to update it
 	# (requires apt-file and network connection)
 	#make -C pydist dist_fallback
@@ -273,7 +283,3 @@
 	ln -sf 2to3-$(VER).1.gz \
 		debian/python/usr/share/man/man1/2to3.1.gz
 
-	mkdir -p debian/python/usr/share/doc/python
-	cp -a debian/python-policy.{html,sgml,txt} \
-		debian/python/usr/share/doc/python/
-
